﻿function Image(source, tooltip, width, height)
{
    var that = this;

    var mSource = source;
    var mTooltip = tooltip;
    var mWidth = width;
    var mHeight = height;

    this.Source = function()    { return mSource; }
    this.Tooltip = function()   { return mTooltip; }
    this.Width = function()     { return mWidth; }
    this.Height = function()    { return mHeight; }

    this.Equals = function(image)
    {
        var result = false;

        if(!image) result = !mSource && !mTooltip;
        else       result = mSource === image.Source() && mTooltip === image.Tooltip();

        return result;
    };

    this.Html = function()
    {
        var result = '';

        if(mSource) {
            result = '<img src="' + mSource + '" alt="" title="';
            if(mTooltip)        result += mTooltip.replace('"', '\'');
            result += '"';
            if(!isNaN(mWidth))  result += ' width="' + mWidth + 'px"';
            if(!isNaN(mHeight)) result += ' height="' + mHeight + 'px"';
            result += ' />';
        }

        return result;
    };
}